

Fix up knfsd-rpcsec_gss-minimal-support-NGROUPS for expanded NGROUPS


---

 25-akpm/net/sunrpc/auth_gss/svcauth_gss.c |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

diff -puN net/sunrpc/auth_gss/svcauth_gss.c~knfsd-rpcsec_gss-minimal-support-NGROUPS-fix net/sunrpc/auth_gss/svcauth_gss.c
--- 25/net/sunrpc/auth_gss/svcauth_gss.c~knfsd-rpcsec_gss-minimal-support-NGROUPS-fix	Wed Feb 25 03:20:09 2004
+++ 25-akpm/net/sunrpc/auth_gss/svcauth_gss.c	Wed Feb 25 03:55:23 2004
@@ -386,16 +386,19 @@ static int rsc_parse(struct cache_detail
 		/* number of additional gid's */
 		if (get_int(&mesg, &N))
 			goto out;
-		if (N > NGROUPS)
+		if (N > SVC_CRED_NGROUPS)
 			goto out;
 
 		/* gid's */
 		for (i=0; i<N; i++) {
-			if (get_int(&mesg, &rsci.cred.cr_groups[i]))
+			gid_t gid;
+			if (get_int(&mesg, &gid))
 				goto out;
+			GROUP_AT(rsci.cred.cr_group_info, i) = gid;
 		}
-		if (N < NGROUPS)
-			rsci.cred.cr_groups[N] = NOGROUP;
+
+		if (N < SVC_CRED_NGROUPS)
+			GROUP_AT(rsci.cred.cr_group_info, N) = NOGROUP;
 
 		/* mech name */
 		len = qword_get(&mesg, buf, mlen);

_
